<?php
/*
Plugin Name: GeekTwice Monthly Counter
Plugin URI: http://www.geektwice.com/
Description: Calcola il totale mensile da pagare ai redattori del blog basandosi su regole stabilite nella pagina di configurazione.
Author: Stefano Ottolenghi
Version: 0.7
Author URI: http://geektwice.com/info/#Ste_95
*/

function activation_alert(){
	echo '<div class="error fade" style="background-color:red;"><p><strong>GeekTwice Monthly Counter deve essere configurato. Visitare <a href="'.get_bloginfo('wpurl').'/wp-admin/options-general.php?page=GT_Monthly_Counter_Options">questa pagina</a>.</strong></p></div>';
}

if(get_option('opt_counter' == '') OR !get_option('opt_counter')){
	add_action('admin_notices', 'activation_alert');
}

add_action('admin_menu', 'counter_menu');	
function counter_menu() {
	add_options_page('GeekTwice Monthly Counter Opzioni', 'GeekTwice Monthly Counter Opzioni', 10, 'GT_Monthly_Counter_Options', 'GT_Monthly_Counter_Options');
}

function GT_Monthly_Counter_Options(){
	if(get_option('opt_counter' == '') OR !get_option('opt_counter')) {
		add_option('opt_counter', 'on^180=1.50e350=3.00e600=4.00e1000=5.00e2000=10.00e20=0.50'); 
		$Query="ALTER TABLE wp_posts ADD GT_Monthly_Counter VARCHAR(7) NOT NULL COMMENT 'Keeps track of payments (GeekTwice Monthly Counter)'";
		$EseguiQuery=@mysql_query($Query);
	}
	
	$opt_myplugin=explode('^', get_option('opt_counter'));
	$opt_myplugin_soldi=explode('e', $opt_myplugin[1]);
	$n=5;
	while($n >= 0) {
		$opt_myplugin_soldi_parole[$n]=explode('=', $opt_myplugin_soldi[$n]);
		--$n;
	}
	echo '<div class="wrap">
         <h2>GeekTwice Monthly Counter</h2>
          <form id="ak_sharethis" name="myplugin_cnf" action="'.get_bloginfo('wpurl').'/wp-admin/index.php" method="post">
            <p>Da questa pagina &egrave; possibile configurare il plug-in di conteggio post mensili. E\' importante separare gli euro dai centesimi con il punto e <strong>non con la virgola</strong>. I post con un numero di parole inferiori alla fascia pi&ugrave; bassa non saranno neanche conteggiati.<br />
			Le statistiche e i conteggi saranno visibili in ogni momento da <a href="'.get_bloginfo('wpurl').'/wp-admin/options-general.php?page=GT_Monthly_Counter_Stats" title="Vai alle statistiche">questa pagina</a>. I post in attesa di revisione vengono visualizzati tratteggiati.<br />Qualunque nuova funzionalit&agrave; o segnalazione di bug pu&ograve; essere richiesta/effettuata inviando una e-mail a <a href="mailto:info@geektwice.com" title="Invia Mail">questo indirizzo</a>.<br>
			<font size="1">From this page you can configure the monthly post counter plug-in. It is important to separate euros from cents with a dot and <strong>not with a comma</strong>. Posts with a words number lower than the lowest zone won\'t be considered.	Stats and counts are avaiable everywhen at <a href="'.get_bloginfo('wpurl').'/wp-admin/options-general.php?page=GT_Monthly_Counter_Stats" title="Stats">this page</a>. Posts pendind for revision are shown outlined. Any new function or any bug or problem can be suggested/reported sending and e-mail to <a href="mailto:info@geektwice.com" title="Send Mail">this address</a>.</font></p>
           <fieldset class="options">
            <table border="0" width="80%">
				<thead><tr><th width="20%" align="left">Numero parole - Number of words</th>
				<th width="20%" align="left">Pagamento - Payement</th></tr></thead>
				<tr><td width="20%"><input type="text" name="words_any_post0" value="'.$opt_myplugin_soldi_parole[0][0].'" /></td><td width="20%"><input type="text" name="value_any_post0" value="'.utf8_decode($opt_myplugin_soldi_parole[0][1]).'" /></td></tr>
				<tr><td width="20%"><input type="text" name="words_any_post1" value="'.$opt_myplugin_soldi_parole[1][0].'" /></td><td width="20%"><input type="text" name="value_any_post1" value="'.$opt_myplugin_soldi_parole[1][1].'" /></td></tr>
				<tr><td width="20%"><input type="text" name="words_any_post2" value="'.$opt_myplugin_soldi_parole[2][0].'" /></td><td width="20%"><input type="text" name="value_any_post2" value="'.$opt_myplugin_soldi_parole[2][1].'" /></td></tr>
				<tr><td width="20%"><input type="text" name="words_any_post3" value="'.$opt_myplugin_soldi_parole[3][0].'" /></td><td width="20%"><input type="text" name="value_any_post3" value="'.$opt_myplugin_soldi_parole[3][1].'" /></td></tr>
				<tr><td width="20%"><input type="text" name="words_any_post4" value="'.$opt_myplugin_soldi_parole[4][0].'" /></td><td width="20%"><input type="text" name="value_any_post4" value="'.$opt_myplugin_soldi_parole[4][1].'" /></td></tr>
			</table>
            <label>Conta i post in attesa di revisione ';
				if($opt_myplugin[0] == 'on') {
				echo '<input type="checkbox" name="count_revision" checked="checked" /></label>';
				} else {
				echo '<input type="checkbox" name="count_revision" /></label>';
				}
			echo '<br /><br />
			<label>Gratifica di <input type="text" name="comments_gratify_money" value="'.$opt_myplugin_soldi_parole[5][1].'" /> euro </label><label>quando un post supera i <input type="text" name="comments_gratify_number" value="'.$opt_myplugin_soldi_parole[5][0].'" /> commenti</label>.
            </fieldset>
           <p class="submit">
        <input type="submit" name="myplugin_submit_button" value="Aggiorna impostazioni" />
       </p>
      </form>
	  <div align="right">
		<form action="https://www.paypal.com/cgi-bin/webscr" method="post">
		<input type="hidden" name="cmd" value="_s-xclick" />
		<input type="hidden" name="hosted_button_id" value="8286636" />
		<input type="image" src="https://www.paypal.com/it_IT/IT/i/btn/btn_donateCC_LG.gif" name="submit" alt="PayPal - Il sistema di pagamento online pi&ugrave; facile e sicuro!" />
		<img alt="Donate" src="https://www.paypal.com/it_IT/i/scr/pixel.gif" width="1" height="1" />
		</form>
	</div>
    </div>';
}

function update_myplugin_settings(){
  if($_POST['myplugin_submit_button'] == 'Aggiorna impostazioni'){;
    $variable=$_POST['count_revision'] . "^" . $_POST['words_any_post0'] . "=" . $_POST['value_any_post0'] . "e" . $_POST['words_any_post1'] . "=" . $_POST['value_any_post1'] . "e" . $_POST['words_any_post2'] . "=" . $_POST['value_any_post2'] . "e" . $_POST['words_any_post3'] . "=" . $_POST['value_any_post3'] . "e" . $_POST['words_any_post4'] . "=" . $_POST['value_any_post4'] . "e" . $_POST['comments_gratify_number'] . "=" . $_POST['comments_gratify_money'];
	update_option('opt_counter', utf8_decode($variable));
    header('Location: '.get_bloginfo('wpurl').'/wp-admin/options-general.php?page=GT_Monthly_Counter_Options&updated=true'); 
  }
}
add_action('init', 'update_myplugin_settings');

add_action('admin_menu', 'stats_menu');	
function stats_menu() {
  add_options_page('GeekTwice Monthly Counter Stats', 'GeekTwice Monthly Counter Stats', 7, 'GT_Monthly_Counter_Stats', 'GT_Monthly_Counter_Stats');
}

function GT_Monthly_Counter_Stats() {
	include("Counter.php");
}
?>